<!-- header start-->
<?php $ptitle_on = gymnaz_get_opt( 'page_title_on', 'show');
$page_ptitle_on = gymnaz_get_page_opt( 'ptitle_on', 'themeoption');
if(is_page() && !empty($page_ptitle_on) && $page_ptitle_on != 'themeoption') {
    $ptitle_on = $page_ptitle_on;
} ?>
<header>
    <div class="header-two <?php if($ptitle_on == 'show'){ ?>light <?php } ?> affix">
      <div class="container">
        <div class="row">
          <div class="col-12">
            <div class="menu-two">
              <div class="logo-wrap d-lg-none">
                <div class="logo">
                  <h1>
                    <?php 
                    $logo = gymnaz_get_opt( 'logo', array( 'url' => '', 'id' => '' ) );
                    $logo_url = $logo['url'];
                    $custom_header = gymnaz_get_page_opt( 'custom_header', '0');
                    if ( is_page() && $custom_header == '1' ) {
                        $page_logo = gymnaz_get_page_opt('page_logo', array( 'url' => '', 'id' => '' ));
                        $logo_url = $page_logo['url'];;
                        
                        if($logo_url == '0') {
                            return;
                        }
                    }
                    if ( $logo_url ) : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <img src="<?php echo esc_url( $logo_url );  ?>" alt="<?php bloginfo( 'name' ); ?>">
                        </a>
                    <?php else : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <img src="<?php echo ASSETS . '/img/logo.png' ; ?>" alt="<?php bloginfo( 'name' ); ?>">
                        </a>
                    <?php endif; ?>
                  </h1>
                </div>
              </div>
              <nav class="navbar navbar-expand-lg">
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#nav-content" aria-controls="nav-content"
                  aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon bar1"></span>
                  <span class="navbar-toggler-icon bar2"></span>
                  <span class="navbar-toggler-icon bar3"></span>
                </button>
                <!-- Links -->
                <div class="main-menu collapse navbar-collapse" id="nav-content">
                  <?php 
                  if ( has_nav_menu( 'left' ) ) :
                      wp_nav_menu( array (
                          'container'      => 'ul',
                          'theme_location' => 'left',
                          'before'         => '',
                          'items_wrap'     => '<ul class="navbar-nav mr-auto">%3$s</ul>',
                          'walker'         =>  new gymnazCustomNavWalker()
                      ) 
                  );
                  else :
                      printf(
                          '<ul class="navbar-nav mr-auto"><li><a href="%1$s">%2$s</a></li></ul>',
                          esc_url( admin_url( 'nav-menus.php' ) ),
                          esc_html( 'Create New Menu', 'gymnaz-pro' )
                      );
                  endif;
                  ?> 
                  <div class="logo-two logo-wrap d-lg-block d-none">
                    <div class="logo">
                      <?php 
                      if ( $logo_url ) : ?>
                          <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                              <img src="<?php echo esc_url( $logo_url );  ?>" alt="<?php bloginfo( 'name' ); ?>">
                          </a>
                      <?php else : ?>
                          <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo ASSETS . '/img/logo.png' ; ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
                      <?php endif; ?>
                    </div>
                  </div>
                  
                  <?php 
                  if ( has_nav_menu( 'right' ) ) :
                      wp_nav_menu( array (
                          'container'      => 'ul',
                          'theme_location' => 'right',
                          'before'         => '',
                          'items_wrap'     => '<ul class="navbar-nav ml-lg-auto">%3$s</ul>',
                          'walker'         =>  new gymnazCustomNavWalker()
                      ) 
                  );
                  else :
                      printf(
                          '<ul class="navbar-nav ml-lg-auto"><li class="nav-item"><a class="nav-link" href="%1$s">%2$s</a></li></ul>',
                          esc_url( admin_url( 'nav-menus.php' ) ),
                          esc_html( 'Create New Menu', 'gymnaz-pro' )
                      );
                  endif;
                  ?> 
                </div>
              </nav>
            </div>
          </div>
        </div>
      </div>
    </div>
  </header>
  <!-- header end -->