<?php
$args = array(
    'name' => 'Accordion',
    'base' => 'gymnaz_accordion',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Accordion Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Accordion Item', 'gymnaz-pro' ),
            'value' => '',
            'param_name' => 'accordion_item',
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' =>esc_html__('Title', 'gymnaz-pro'),
                    'param_name' => 'title',
                    'admin_label' => true,
                ),
                
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__('Content', 'gymnaz-pro'),
                    'param_name' => 'content',
                ),
                
            ),
        ),
        
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
);

vc_map($args);  

class WPBakeryShortCode_gymnaz_accordion extends DSShortCode {

    protected function content($atts, $content = null) {
        return parent::content($atts, $content);
    }
} ?>