<?php

$args = array(
    'name' => 'Custom Heading Theme',
    'base' => 'gymnaz_heading',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Heading Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Style", 'gymnaz-pro'),
            "param_name" => "style",
            "value" => array (
                "Dark" => "style1", 
                "Light" => "white", 
                "left" => "style3", 
            ),
            'admin_label' => true,
        ),
        
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Title", 'gymnaz-pro'),
            "param_name" => "title",
        ),
        
        array(
            "type" => "textfield",
            "class" => "",
            "heading" => __("Description", 'gymnaz-pro'),
            "param_name" => "description",
            'dependency' => array(
                'element' => 'style',
                'value' => array(
                'style1',
                'white',
                ),
            ),
        ),
        
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
);

vc_map($args);  
class WPBakeryShortCode_gymnaz_heading extends DSShortCode {

    protected function content($atts, $content = null) {
        return parent::content($atts, $content);
    }
} ?>