<?php
$categories_array = array();
$args             = array('taxonomy' => 'catportfolio');
$categories       = get_categories( $args );
foreach ( $categories as $category ) {
    $categories_array[ $category->name ] = $category->slug;
}

$args = array(
    'name' => 'Portfolio Carousel',
    'base' => 'gymnaz_portfolio_carousel',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Portfolio Carousel Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(
        
        /* Style */
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Style', 'gymnaz-pro'),
            'param_name' => 'style',
            'description' => 'Select Layout.',
            'value' => array(
                esc_html__( 'Style 1', 'gymnaz-pro' ) => 'style-1',
                esc_html__( 'Style 2', 'gymnaz-pro' ) => 'style-2',
            ),
        ),

        array(
            "type" => "checkbox",
            "class" => "",
            "heading" => __("Category", 'gymnaz-pro'),
            "param_name" => "category",
            'value' => $categories_array,
            "description" => __("Select the Category to show / Filter By Category(optional)", 'gymnaz-pro')
        ),

        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Order", 'gymnaz-pro'),
            "param_name" => "port_order",
            "value" => array ("Descending" => "DESC", "Ascending" => 'ASC'),
            "description" => __("Choose the Order ( default Descending )", 'gymnaz-pro'),
        ),
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Order By", 'gymnaz-pro'),
            "param_name" => "port_orderby",
            "value" => array ("Date" => "date", "Title" => 'title', "Random" => 'rand', "Author" => 'author', "ID" => 'ID', "Modified" => 'modified',),
            "description" => __("Choose by which parameter you want to order the posts ( default date )", 'gymnaz-pro'),
        ),
            
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
            'group'            => esc_html__('Extra', 'gymnaz-pro')
        ),

    ));

vc_map($args);

class WPBakeryShortCode_gymnaz_portfolio_carousel extends DSShortCode
{

    protected function content($atts, $content = null) {
        return parent::content($atts, $content);
    }
}

?>