<?php
$args = array(
    'name' => 'Slider',
    'base' => 'gymnaz_slider',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Slider Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        array(
            'type' => 'dropdown',
            'heading' => esc_html__( 'Slider Style', 'gymnaz-pro' ),
            'param_name' => 'style',
            'value' => array(
                'Style 1' => 'style1',
                'Style 2' => 'style2',
                'Style 3' => 'style3',
            ),
            'description' => esc_html__( 'Style Of Slider', 'gymnaz-pro' ),
        ),
     
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Slider Item', 'gymnaz-pro' ),
            'value' => '',
            'param_name' => 'slider_item',
            'dependency' => array(
                'element' => 'style',
                'value' => array(
                'style1',
                'style2',
                ),
            ),
            'params' => array(   
        
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Heading 1', 'gymnaz-pro' ),
                    'param_name' => 'heading',
                    'value' => '',
                ),

                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Heading 2', 'gymnaz-pro' ),
                    'param_name' => 'heading_2',
                    'value' => '',
                ),

                array(
                    'type' => 'textarea',
                    'heading' => esc_html__( 'Description', 'gymnaz-pro' ),
                    'param_name' => 'sub_heading',
                    'value' => '',
                ),

                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Background Image', 'gymnaz-pro' ),
                    'param_name' => 'image_bg',
                    'value' => '',
                    'description' => esc_html__( 'Select image Background from media library.', 'gymnaz-pro' ),
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Button Text', 'gymnaz-pro' ),
                    'param_name' => 'btn_txt',
                    'value' => '',
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__( 'Button URL', 'gymnaz-pro' ),
                    'param_name' => 'btn_url',
                    'value' => '',
                ),
            ),
        ),

        array(
            'type' => 'textarea',
            'heading' => esc_html__( 'Heading 1', 'gymnaz-pro' ),
            'param_name' => 'heading3',
            'value' => '',
            'dependency' => array(
                'element' => 'style',
                'value' => array(
                'style3',
                ),
            ),
        ),

        array(
            'type' => 'textarea',
            'heading' => esc_html__( 'Heading 2', 'gymnaz-pro' ),
            'param_name' => 'heading4',
            'value' => '',
            'dependency' => array(
                'element' => 'style',
                'value' => array(
                'style3',
                ),
            ),
        ),

        array(
            'type' => 'attach_images',
            'heading' => esc_html__( 'Background Image', 'gymnaz-pro' ),
            'param_name' => 'image_bg1',
            'value' => '',
            'description' => esc_html__( 'Select image Background from media library.', 'gymnaz-pro' ),
            'dependency' => array(
                'element' => 'style',
                'value' => array(
                'style3',
                ),
            ),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Button Text', 'gymnaz-pro' ),
            'param_name' => 'btn_txt3',
            'value' => '',
            'dependency' => array(
                'element' => 'style',
                'value' => array(
                'style3',
                ),
            ),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Button URL', 'gymnaz-pro' ),
            'param_name' => 'btn_url3',
            'value' => '',
            'dependency' => array(
                'element' => 'style',
                'value' => array(
                'style3',
                ),
            ),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
            'group'            => esc_html__('Extra', 'gymnaz-pro')
        ),

    ));

vc_map($args);

class WPBakeryShortCode_gymnaz_slider extends DSShortCode
{

    protected function content($atts, $content = null) {
        return parent::content($atts, $content);
    }
}

?>