<?php
vc_map(array(
    'name' => 'Video Player',
    'base' => 'gymnaz_video_player',
    'class'    => 'gymnaz-icon-element',
    'description' => 'Embed Youtube/Vimeo player',
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        array(
            'type' => 'vc_link',
            'heading' => esc_html__( 'Video Url', 'gymnaz-pro' ),
            'param_name' => 'video_link',
            'value' => '',
            'description' => 'Video url on Youtube, Vimeo'
        ),

        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Video Background Image', 'gymnaz-pro' ),
            'param_name' => 'video_bg_image',
            'value' => '',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
            'group'            => esc_html__('Extra', 'gymnaz-pro')
        ),
        
    )
));

class WPBakeryShortCode_gymnaz_video_player extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>