<?php
extract(shortcode_atts(array(
    'title' => 'MAIN BRANCH',
    'address_title' => 'ADDRESS',
    'address_text' => '',
    'phone_title' => 'PHONE NUMBER',
    'phone_no' => '',
    'email_title' => 'EMAIL',
    'email_text' => '',
    'el_class' => '',
), $atts));
?>


<div class="adress-box mb-30 <?php echo esc_attr($el_class.' '); ?>">
    <?php if(!empty($title)) : ?>
        <h4 class="title-sep2 mb-30">
            <?php echo wp_kses_post( $title ); ?>
        </h4>
    <?php endif;?> 
    <ul class="address">
        <?php if(!empty($address_text)) : ?>
            <li>
                <i class="fa fa-location-arrow"></i>
                <div class="adress-content">
                    <h6 class="mb-2"><?php echo wp_kses_post( $address_title ); ?></h6>
                    <p> <?php echo wp_kses_post( $address_text ); ?></p>
                </div>
            </li>
        <?php endif;?>
        <?php if(!empty($phone_no)) : ?> 
            <li>
                <i class="fa fa-phone"></i>
                <div class="adress-content">
                    <h6 class="mb-2"><?php echo wp_kses_post( $phone_title ); ?></h6>
                    <p><?php echo wp_kses_post( $phone_no ); ?> </p>
                </div>
            </li>
        <?php endif;?> 
        <?php if(!empty($email_text)) : ?>
            <li>
                <i class="fa fa-envelope"></i>
                <div class="adress-content">
                    <h6 class="mb-2"><?php echo wp_kses_post( $email_title ); ?></h6>
                    <p><?php echo wp_kses_post( $email_text ); ?></p>
                </div>
            </li>
        <?php endif;?> 
    </ul>
</div>