<?php
extract(shortcode_atts(array(

    'style'             => 'style1',
    'title'             => '',
    'description'       => '',
    'align'             => 'text-left',
    'el_class'          => '',

), $atts));
if ( $style == 'style1' or $style == 'white') : ?>

    <?php  if ( !empty( $title ) || !empty( $description ) ) : ?>
        <div class="all-title <?php echo $style?> <?php echo esc_attr( $el_class ); ?>">
            <?php if( !empty( $title ) ) : ?>
                <h3 class="sec-title">
                    <?php echo esc_html( $title ); ?>
                </h3>

            <svg class="title-sep" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
                <path fill-rule="evenodd" d="M70.000,10.000 L70.000,8.000 L80.000,8.000 L80.000,10.000 L70.000,10.000 ZM65.000,3.000 L68.000,3.000 L68.000,16.000 L65.000,16.000 L65.000,3.000 ZM60.000,-0.000 L63.000,-0.000 L63.000,19.000 L60.000,19.000 L60.000,-0.000 ZM22.000,8.000 L58.000,8.000 L58.000,10.000 L22.000,10.000 L22.000,8.000 ZM17.000,-0.000 L20.000,-0.000 L20.000,19.000 L17.000,19.000 L17.000,-0.000 ZM12.000,3.000 L15.000,3.000 L15.000,16.000 L12.000,16.000 L12.000,3.000 ZM-0.000,8.000 L10.000,8.000 L10.000,10.000 L-0.000,10.000 L-0.000,8.000 Z"
                />
            </svg>
            <?php endif ; ?>
            <?php if( !empty( $description ) ) : ?>
                <p><?php echo esc_html( $description ); ?></p>
            <?php endif ; ?>
        </div>

    <?php  endif ; ?>

<?php elseif ( $style == 'style3' ) : ?>


    <?php  if ( !empty( $title ) ) : ?>
        <div class="all-title text-left <?php echo esc_attr( $el_class ); ?>">
            <h3 class="sec-title title-sep2">
                <?php echo esc_html( $title ); ?>
            </h3>
        </div>

    <?php  endif ; ?>


<?php endif ; ?>