<?php
/**
 * The template for displaying archive pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Gymnaz
 */
get_header(); 
$sidebar_pos = gymnaz_get_opt( 'archive_sidebar_pos', 'right' ); ?>
<!-- blog detail start-->
<div class="sp-100 bg-w">
    <div class="container">
        <div class="row">
            <div <?php gymnaz_primary_class( $sidebar_pos, '' ); ?>>
                <div class="row">
                    <?php if ( have_posts() ) :
                        
                        /* Start the Loop */
                        while ( have_posts() ) : the_post(); 
                            get_template_part( 'template-parts/content', '' ); 
                        endwhile ; 
                    else:
                        get_template_part( 'template-parts/content', 'none' );
                    endif ; ?>
                </div>
                <div class="row">
                    <div class="col-12 text-center">
                        <?php theme_pagination(); ?>
                    </div>
                </div>
            </div>
            <?php if ( 'none' != $sidebar_pos ) : ?>
                <div <?php gymnaz_secondary_class( $sidebar_pos, '' ); ?>>
                    <aside class="sidebar mt-5 mt-lg-0">
                        <?php get_sidebar(); ?>
                    </aside>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>
<!-- blog detail ends-->
<?php get_footer();