<header>
    <div class="header-one d-xl-flex d-block">
        <div class="logo-one logo-wrap d-xl-block d-none">
            <div class="logo">
                <h1>
                    <?php 
                    $logo = gymnaz_get_opt( 'logo', array( 'url' => '', 'id' => '' ) );
                    $logo_url = $logo['url'];
                    $custom_header = gymnaz_get_page_opt( 'custom_header', '0');
                    if ( is_page() && $custom_header == '1' ) {
                        $page_logo = gymnaz_get_page_opt('page_logo', array( 'url' => '', 'id' => '' ));
                        $logo_url = $page_logo['url'];;
                        
                        if($logo_url == '0') {
                            return;
                        }
                    }
                    if ( $logo_url ) : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <img src="<?php echo esc_url( $logo_url );  ?>" alt="<?php bloginfo( 'name' ); ?>">
                        </a>
                    <?php else : ?>
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                            <img src="<?php echo ASSETS . '/img/logo.png' ; ?>" alt="<?php bloginfo( 'name' ); ?>">
                        </a>
                    <?php endif; ?>
                </h1>
            </div>
        </div>
        <div class="container ml-xl-0">
            <div class="row">
                <div class="col-12">
                    <div class="head-top head-top-one d-none d-lg-block">
                        <div class="row">
                            <div class="col-lg-9">
                                <ul class="head-con">
                                    <li>
                                        <i class="fa fa-location-arrow"></i>
                                        <?php echo gymnaz_get_opt( 'h_address'); ?>
                                    </li>
                                    <li>
                                        <i class="fa fa-phone"></i>
                                        <?php echo gymnaz_get_opt( 'h_contact'); ?>
                                    </li>
                                    <li>
                                        <i class="fa fa-envelope-o"></i>
                                        <?php echo gymnaz_get_opt( 'h_email');?>
                                    </li>
                                </ul>
                            </div>
                            <div class="col-lg-3">
                                <?php 
                                $header_facebook = gymnaz_get_opt( 'use-facebook-icon-header');
                                $header_twitter = gymnaz_get_opt( 'use-twitter-icon-header');
                                $header_linkedin = gymnaz_get_opt( 'use-linkedin-icon-header');
                                $header_instagram = gymnaz_get_opt( 'use-instagram-icon-header');
                                $header_google = gymnaz_get_opt( 'use-google-plus-icon-header');
                                ?>
                                <div class="head-socials">
                                    <?php if ($header_facebook=="1") { ?>
                                        <a href="<?php echo gymnaz_get_opt('social_facebook_url'); ?>" class="fa fa-facebook-square"></a>
                                    <?php } ?>
                                    <?php if ($header_twitter=="1") { ?>
                                        <a  class="fa fa-twitter-square" href="<?php echo gymnaz_get_opt('social_twitter_url'); ?>"></a>
                                    <?php } ?>

                                    <?php if ($header_linkedin=="1") { ?>
                                        <a class="fa fa-linkedin-square" href="<?php echo gymnaz_get_opt('social_linkedin_url'); ?>"></a>
                                    <?php } ?>
                                    <?php if ($header_instagram=="1") { ?>
                                        <a class="fa fa-instagram" href="<?php echo gymnaz_get_opt('social_instagram_url'); ?>">
                                        </a>
                                    <?php } ?>
                                    <?php if ($header_google=="1") { ?>
                                        <a class="fa fa-facebook-square" href="<?php echo gymnaz_get_opt('social_google_url'); ?>"></a>
                                    <?php } ?>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-12">
                    <div class="menu-one affix py-lg-0 py-2">
                        <div class="logo-wrap d-lg-none">
                            <div class="logo">
                                <?php 
                                if ( $logo_url ) : ?>
                                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                        <img src="<?php echo esc_url( $logo_url );  ?>" alt="<?php bloginfo( 'name' ); ?>">
                                    </a>
                                <?php else : ?>
                                    <a href="<?php echo esc_url( home_url( '/' ) ); ?>"><img src="<?php echo ASSETS . '/img/logo.png' ; ?>" alt="<?php bloginfo( 'name' ); ?>"></a>
                                <?php endif; ?>
                            </div>
                        </div>
                        <nav class="navbar navbar-expand-lg">
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#nav-content" aria-controls="nav-content"
                                aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon bar1"></span>
                                <span class="navbar-toggler-icon bar2"></span>
                                <span class="navbar-toggler-icon bar3"></span>
                            </button>
                            <!-- Links -->
                            <div class="main-menu collapse navbar-collapse" id="nav-content">
                                <?php 
                                  if ( has_nav_menu( 'primary' ) ) :
                                      wp_nav_menu( array (
                                          'container'      => 'ul',
                                          'theme_location' => 'primary',
                                          'before'         => '',
                                          'items_wrap'     => '<ul class="navbar-nav mr-auto">%3$s</ul>',
                                          'walker'         =>  new gymnazCustomNavWalker()
                                      ) 
                                  );
                                  else :
                                      printf(
                                          '<ul class="navbar-nav mr-auto"><li class="nav-item"><a class="nav-link" href="%1$s">%2$s</a></li></ul>',
                                          esc_url( admin_url( 'nav-menus.php' ) ),
                                          esc_html( 'Create New Menu', 'gymnaz-pro' )
                                      );
                                  endif;
                                  ?> 
                            </div>
                            <?php
                            $header_disable = gymnaz_get_opt( 'header-disable-search', '0' ); 
                            if($header_disable == '0'){
                            ?>
                                <div class="menu-search d-none d-lg-block">
                                    <a href="javascript:void(0)">
                                        <i class="fa fa-search"></i>
                                    </a>
                                </div>
                                <!-- Search Form -->
                                <form class="menu-search-form" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                    <div class="input-group">
                                        <input type="text" placeholder="Search Here..." name="s" value="<?php  get_search_query(); ?>">
                                        <button class="btn btn-search" type="submit">
                                            <i class="fa fa-search"></i>
                                        </button>
                                    </div>
                                </form>
                            <?php } ?>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- header end --> 