<!-- header start-->
<header>
    <div class="header-three affix">
        <div class="container">
            <div class="menu-three">
                <div class="row">
                    <div class="col-lg-3 col-12">
                        <div class="logo-wrap">
                            <div class="logo">
                                <h1>
                                    <?php 
                                    $logo = gymnaz_get_opt( 'logo', array( 'url' => '', 'id' => '' ) );
                                    $logo_url = $logo['url'];
                                    $custom_header = gymnaz_get_page_opt( 'custom_header', '0');
                                    if ( is_page() && $custom_header == '1' ) {
                                        $page_logo = gymnaz_get_page_opt('page_logo', array( 'url' => '', 'id' => '' ));
                                        $logo_url = $page_logo['url'];;
                                        
                                        if($logo_url == '0') {
                                            return;
                                        }
                                    }
                                    if ( $logo_url ) : ?>
                                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                            <img src="<?php echo esc_url( $logo_url );  ?>" alt="<?php bloginfo( 'name' ); ?>">
                                        </a>
                                    <?php else : ?>
                                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                                            <img src="<?php echo ASSETS . '/img/logo.png' ; ?>" alt="<?php bloginfo( 'name' ); ?>">
                                        </a>
                                    <?php endif; ?>
                                </h1>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-9 col-12">
                        <nav class="navbar navbar-expand-lg">
                            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#nav-content" aria-controls="nav-content"
                                aria-expanded="false" aria-label="Toggle navigation">
                                <span class="navbar-toggler-icon bar1"></span>
                                <span class="navbar-toggler-icon bar2"></span>
                                <span class="navbar-toggler-icon bar3"></span>
                            </button>
                            <!-- Links -->
                            <div class="main-menu collapse navbar-collapse" id="nav-content">
                                <?php 
                                if ( has_nav_menu( 'primary' ) ) :
                                    wp_nav_menu( array (
                                      'container'      => 'ul',
                                      'theme_location' => 'primary',
                                      'before'         => '',
                                      'items_wrap'     => '<ul class="navbar-nav mr-auto">%3$s</ul>',
                                      'walker'         =>  new gymnazCustomNavWalker()
                                    ) 
                                );
                                else :
                                    printf(
                                      '<ul class="navbar-nav mr-auto"><li class="nav-item"><a class="nav-link" href="%1$s">%2$s</a></li></ul>',
                                      esc_url( admin_url( 'nav-menus.php' ) ),
                                      esc_html( 'Create New Menu', 'gymnaz-pro' )
                                    );
                                endif;
                                ?> 
                            </div>
                            <?php
                            $header_disable = gymnaz_get_opt( 'header-disable-search', '0' ); 
                            if($header_disable == '0'){
                            ?>
                                <div class="menu-search d-none d-lg-block ml-xl-5 ml-lg-4">
                                    <a href="javascript:void(0)">
                                        <i class="fa fa-search"></i>
                                    </a>
                                </div>
                                <!-- Search Form -->
                                <form class="menu-search-form" method="get" action="<?php echo esc_url( home_url( '/' ) ); ?>">
                                    <div class="input-group">
                                        <input type="text" placeholder="Search Here..." name="s" value="<?php  get_search_query(); ?>">
                                        <button class="btn btn-search" type="submit">
                                            <i class="fa fa-search"></i>
                                        </button>
                                    </div>
                                </form>
                            <?php } ?>
                        </nav>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
<!-- header end -->