<?php
$titles = gymnaz_get_page_titles();
ob_start();
if ( $titles['title'] ) {
    printf( '<h3>%s</h3>', esc_attr($titles['title']) );
}
$titles_html = ob_get_clean();
$ptitle_on = gymnaz_get_opt( 'page_title_on', 'show');
$page_ptitle_on = gymnaz_get_page_opt( 'ptitle_on', 'themeoption');
if(is_page() && !empty($page_ptitle_on) && $page_ptitle_on != 'themeoption') {
    $ptitle_on = $page_ptitle_on;
} 
$header_preset = gymnaz_get_opt( 'header-preset' ,'1');
$custom_header = gymnaz_get_page_opt( 'custom_header', '0');
if ( is_page() && $custom_header == '1' ) {
    $page_header_layout = gymnaz_get_page_opt('page-header-preset');
    $header_preset = $page_header_layout;
    
    if($header_preset == '0') {
        return;
    }
}
?>
<?php if($ptitle_on == 'show') : ?>
    <!-- page-banner start-->
    <section class="page-banner <?php if($header_preset == '2') { ?>type-2 <?php } ?>">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <?php printf( '%s', wp_kses_post($titles_html)); ?>
                    <ul class="banner-link text-center">
                        <?php if (function_exists('gymnaz_breadcrumbs')) gymnaz_breadcrumbs(); ?>
                    </ul>
                </div>
            </div>
        </div>
    </section>
    <!-- page-banner ends-->
<?php endif; ?>