<?php
vc_map(array(
    'name' => 'Address Box',
    'base' => 'gymnaz_address_box',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Address Box Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

       

        /* Title */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Address Main Title', 'gymnaz-pro'),
            'param_name' => 'title',
            'description' => 'Enter title.',
            'value' => 'MAIN BRANCH',
            
        ),


        /* Address*/
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Address Title', 'gymnaz-pro'),
            'param_name' => 'address_title',
            'description' => 'Enter Address Title.',
            'value' => 'ADDRESS',
            
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Address Text', 'gymnaz-pro'),
            'param_name' => 'address_text',
            'description' => 'Enter Address Text.',
            'value' => '',
            
        ),

        /* Phone No. */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Contact Title', 'gymnaz-pro'),
            'param_name' => 'phone_title',
            'description' => 'Enter Contact Title.',
            'value' => 'PHONE NUMBER',
        ),
         array(
            'type' => 'textfield',
            'heading' => esc_html__('Contact Number', 'gymnaz-pro'),
            'param_name' => 'phone_no',
            'description' => 'Enter Contact Number.',
            'value' => '',
        ),

        /* Email. */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Email Title', 'gymnaz-pro'),
            'param_name' => 'email_title',
            'description' => 'Enter Email Title.',
            'value' => 'EMAIL',
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Email Text', 'gymnaz-pro'),
            'param_name' => 'email_text',
            'description' => 'Enter Email Text.',
            'value' => '',
        ),
        
       
        /* Extra */
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
));

class WPBakeryShortCode_gymnaz_address_box extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>