<?php
vc_map(array(
    'name' => 'Callout',
    'base' => 'gymnaz_callout',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Callout Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        /* Style */
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Style', 'gymnaz-pro'),
            'param_name' => 'style',
            'description' => 'Select Style.',
            'value' => array(
                esc_html__( 'Light', 'gymnaz-pro' ) => 'style-1',
                esc_html__( 'Dark', 'gymnaz-pro' ) => 'style-2',
            ),
        ),

        /* Title */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Title', 'gymnaz-pro'),
            'param_name' => 'title',
            'description' => 'Enter title.',
            'value' => 'Want Perfect Body Shape ?',
        ),

        /* Description */
        array(
            'type' => 'textarea',
            'heading' => esc_html__('Description', 'gymnaz-pro'),
            'param_name' => 'description',
            'description' => 'Enter description.',
            'value' => esc_html__('Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eg dolor enean masa.', 'gymnaz-pro'),
        ),


        /* Button Text*/
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Button Text', 'gymnaz-pro'),
            'param_name' => 'btn_txt',
            'description' => 'Enter Button Text.',
            'value' => 'Join With Us',
        ),

        /* Button URL */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Button URL', 'gymnaz-pro'),
            'param_name' => 'btn_url',
            'description' => 'Enter Button URL.',
            'value' => '',
        ),
       
    )
));

class WPBakeryShortCode_gymnaz_callout extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>