<?php
vc_map(array(
    'name' => 'Pricing',
    'base' => 'gymnaz_pricing',
    'class'    => 'gymnaz-icon-element',
    'description' => 'Pricing Displayed',
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(
          
        array(
            "type" => "dropdown",
            "class" => "",
            "heading" => __("Style", 'gymnaz-pro'),
            "param_name" => "style",
            "value" => array (
                "Style 1" => "price-box", 
                "Style 2" => "price-box2", 
            ),
            'admin_label' => true,
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        /* Layout Classic */
        array(
            'type' => 'textfield',
            'heading' => __ ( 'Title', 'gymnaz-pro' ),
            'param_name' => 'title',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        array(
            'type' => 'textfield',
            'heading' => __ ( 'Sub Title', 'gymnaz-pro' ),
            'param_name' => 'subtitle',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'gymnaz-pro' ),
            'param_name' => 'pimage',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        array(
            'type' => 'textfield',
            'heading' => __ ( 'Price', 'gymnaz-pro' ),
            'param_name' => 'price',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        array(
            'type' => 'textfield',
            'heading' => __ ( 'Currency', 'gymnaz-pro' ),
            'param_name' => 'currency',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        array(
            'type' => 'textfield',
            'heading' => __ ( 'Time', 'gymnaz-pro' ),
            'param_name' => 'time',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Description', 'gymnaz-pro' ),
            'param_name' => 'description',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
            'params' => array(
                array(
                    "type" => "textfield",
                    "heading" =>esc_html__("Item", 'gymnaz-pro'),
                    "param_name" => "description_item",
                    'admin_label' => true,
                ),
            ),
        ),
        array(
            'type' => 'textfield',
            'heading' => __ ( 'Text Button', 'gymnaz-pro' ),
            'param_name' => 'text_button',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),
        array(
            'type' => 'vc_link',
            'heading' => __ ( 'Link Button', 'gymnaz-pro' ),
            'param_name' => 'link_button',
            'value' => '',
            'group' => esc_html__('Source Settings', 'gymnaz-pro'),
        ),

        /* Extra */
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
            'group'            => esc_html__('Extra', 'gymnaz-pro')
        ),
        
    )
));

class WPBakeryShortCode_gymnaz_pricing extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>