<?php
vc_map(array(
    'name' => 'Service',
    'base' => 'gymnaz_service',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Service Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        

        /* Title */
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Title', 'gymnaz-pro'),
            'param_name' => 'title',
            'description' => 'Enter title.',
            'value' => '',
        ),

        /* Description */
        array(
            'type' => 'textarea',
            'heading' => esc_html__('Description', 'gymnaz-pro'),
            'param_name' => 'description',
            'description' => 'Enter description.',
            'value' => '',
        ),

        /* Image */

        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'gymnaz-pro' ),
            'param_name' => 'image',
            'value' => '',
            'description' => esc_html__( 'Select image from media library.', 'gymnaz-pro' ),
        ),
        
       
        /* Extra */
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
));

class WPBakeryShortCode_gymnaz_service extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>