<?php
vc_map(array(
    'name' => 'Team',
    'base' => 'gymnaz_team',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Team Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        /* Title */
        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Title', 'gymnaz-pro'),
            'param_name' => 'title',
            'admin_label' => true,
        ),
        
        /* Position */
        array(
            'type' => 'textfield',
            'heading' =>esc_html__('Position', 'gymnaz-pro'),
            'param_name' => 'position',

        ),

        /* Description */
        array(
            'type' => 'textarea',
            'heading' => esc_html__('Content', 'gymnaz-pro'),
            'param_name' => 'content',
        ),


        /* Image*/
        array(
            'type' => 'attach_image',
            'heading' => esc_html__( 'Image', 'gymnaz-pro' ),
            'param_name' => 'image',
            'value' => '',
            'description' => esc_html__( 'Select image from media library.', 'gymnaz-pro' ),
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Facebook URL', 'gymnaz-pro'),
            'param_name' => 'facebook_url',
            'value' => '',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Google-plus URL', 'gymnaz-pro'),
            'param_name' => 'google_url',
            'value' => '',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('Instagram URL', 'gymnaz-pro'),
            'param_name' => 'instagram_url',
            'value' => '',
        ),

        array(
            'type' => 'textfield',
            'heading' => esc_html__('linkedin URL', 'gymnaz-pro'),
            'param_name' => 'linkedin_url',
            'value' => '',
        ),
       
        /* Extra */
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
));

class WPBakeryShortCode_gymnaz_team extends DSShortCode
{

    protected function content($atts, $content = null)
    {
        return parent::content($atts, $content);
    }
}

?>