<?php
$args = array(
    'name' => 'Team Carousel',
    'base' => 'gymnaz_team_carousel',
    'class'    => 'gymnaz-icon-element',
    'description' => esc_html__( 'Team Displayed', 'gymnaz-pro' ),
    'category' => esc_html__('Gymnaz Shortcodes', 'gymnaz-pro'),
    'params' => array(

        array(
            'type' => 'param_group',
            'heading' => esc_html__( 'Team Item', 'gymnaz-pro' ),
            'value' => '',
            'param_name' => 'team_item',
            'params' => array(
                array(
                    'type' => 'textfield',
                    'heading' =>esc_html__('Title', 'gymnaz-pro'),
                    'param_name' => 'title',
                    'admin_label' => true,
                ),
                array(
                    'type' => 'textfield',
                    'heading' =>esc_html__('Position', 'gymnaz-pro'),
                    'param_name' => 'position',

                ),
                array(
                    'type' => 'textarea',
                    'heading' => esc_html__('Content', 'gymnaz-pro'),
                    'param_name' => 'content',
                ),
                array(
                    'type' => 'attach_image',
                    'heading' => esc_html__( 'Image', 'gymnaz-pro' ),
                    'param_name' => 'image',
                    'value' => '',
                    'description' => esc_html__( 'Select image from media library.', 'gymnaz-pro' ),
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Facebook URL', 'gymnaz-pro'),
                    'param_name' => 'facebook_url',
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Google-plus URL', 'gymnaz-pro'),
                    'param_name' => 'google_url',
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Instagram URL', 'gymnaz-pro'),
                    'param_name' => 'instagram_url',
                ),

                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Linkedin URL', 'gymnaz-pro'),
                    'param_name' => 'linkedin_url',
                ),
                array(
                    'type' => 'textfield',
                    'heading' => esc_html__('Twitter URL', 'gymnaz-pro'),
                    'param_name' => 'twitter_url',
                ),
            ),
        ),
        
        array(
            'type' => 'textfield',
            'heading' => esc_html__( 'Extra class name', 'gymnaz-pro' ),
            'param_name' => 'el_class',
            'description' => esc_html__( 'Style particular content element differently - add a class name and refer to it in Custom CSS.', 'gymnaz-pro' ),
        ),
    )
);

vc_map($args);  

class WPBakeryShortCode_gymnaz_team_carousel extends DSShortCode {

    protected function content($atts, $content = null) {
        return parent::content($atts, $content);
    }
} ?>