<?php
extract(shortcode_atts(array(
    'accordion_item' => '',
    'el_class' => '',

), $atts));

$accordion = (array) vc_param_group_parse_atts($accordion_item);


if(!empty($accordion)) : ?>
    <div id="accordion" class="theme-accordion <?php echo esc_attr( $el_class ); ?>">
    
        <?php 
            $i=1;
            foreach ($accordion as $key => $value) {

            $title = isset($value['title']) ? $value['title'] : '';
            $content = isset($value['content']) ? $value['content'] : '';
            ?>
            <div class="acc-card">
                <div class="panel-heading" id="heading<?php echo $i; ?>">
                    <button class="acc-link <?php if($i!="1"){?>collapsed<?php }?>" data-toggle="collapse" data-target="#collapse<?php echo $i; ?>" aria-expanded="true" aria-controls="collapse<?php echo $i; ?>">
                        <?php echo esc_html($title); ?>
                    </button>
                </div>

                <div id="collapse<?php echo $i; ?>" class="collapse <?php if($i=="1"){?>show<?php }?>" aria-labelledby="heading<?php echo $i; ?>" data-parent="#accordion">
                    <div class="card-body">
                        <p><?php echo esc_html($content); ?></p>
                    </div>
                </div>
            </div>
        <?php 
        $i++;
        } ?>
    </div>
<?php endif; ?>