<?php
extract(shortcode_atts(array(

    'type'           => 'post',
    'orderby'        => 'name',
    'order'          => 'ASC',
    'hide_empty'     => 0,
    'to_show'        => '',
    'category'       => 'category',
    'el_class'       => '',

), $atts));


$category_f = ( $category!=="all" ? $category : '');

$query = new WP_Query();

if ( $category_f !== '' ) {
	$query->query(array(
		'post_type' => 'post',
		'order' => $order,
		'orderby' => $orderby,
		'category_name' => $category_f,
		'posts_per_page' => $to_show,
		'post_status' => 'publish'
	));
} else {
	$query->query(array(
		'post_type' => 'post',
		'order' => $order,
		'orderby' => $orderby,
		'posts_per_page' => $to_show,
		'post_status' => 'publish'
	));
} 
if ( $query->have_posts() ) : ?>
    <div class="blog-slider owl-carousel owl-theme <?php echo esc_attr($el_class.' '); ?>">
        <?php while ( $query->have_posts() ) : $query->the_post(); setPostViews(get_the_ID());?>
            <article class="blog-item blog-1">
                <div class="post-img">
                    <?php if ( has_post_thumbnail() ) :
                        the_post_thumbnail( array( 570, 365 ) );
                    else : 
                        echo '<img src="'. no_image.'" alt="No Image">';
                    endif ; ?>
                    <div class="date-1">
                        <p>
                            <span><?php echo esc_html( get_the_date('d') ); ?></span>
                            <?php echo esc_html( get_the_date('M') ); ?></p>
                    </div>
                </div>
                <ul class="post-meta">
                    <li>
                        <i class="fa fa-user"></i>
                        <a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) )?>"><?php echo esc_html( get_the_author()); ?></a>
                    </li>
                    <li>
                        <i class="fa fa-comments"></i>
                        <a href="#"><?php comments_number( __('0', 'gymnaz-pro' ), __('1', 'gymnaz-pro' ), __('%', 'gymnaz-pro' ) ); ?></a>
                    </li>
                    <li>
                        <i class="fa fa-eye"></i>
                        <a href="#"><?php  echo getPostViews(get_the_ID()); ?></a>
                    </li>
                </ul>
                <div class="post-content pt-4">
                    <h5>
                        <a href="<?php echo esc_url( get_permalink() ); ?>"><?php echo esc_html__(get_the_title( '' ),'gymnaz-pro'); ?></a>
                    </h5>
                </div>
            </article>
        <?php endwhile; ?>
    </div>
<?php endif ; ?>