<?php
extract(shortcode_atts(array(
    'style' => 'style-1',
    'title' => 'Want Perfect Body Shape ?',
    'description' => 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eg dolor enean masa.',
    'btn_txt' => 'Join With Us',
    'btn_url' => '',
), $atts));
?>



<div class="row">
    <div class="col-lg-9 text-lg-left text-center">
        <?php if(!empty($title)) : ?>
            <h3 class="<?php if ( $style == 'style-1' ) { ?> c-white <?php }else{?> c-black <?php } ?> text-capitalize"><?php echo wp_kses_post( $title ); ?></h3>
        <?php endif;?>   
        <?php if(!empty($description)) : ?>
            <p class="<?php if ( $style == 'style-1' ) { ?> c-white <?php }else{?> c-black <?php } ?> mb-0"><?php echo wp_kses_post( $description ); ?></p>
        <?php endif;?>  
    </div>
    <div class="col-lg-3 text-lg-right text-center">
        <a href="<?php echo  esc_url($btn_url); ?>" class="btn <?php if ( $style == 'style-2' ) { ?> black-btn<?php } ?> btn-two mt-3"><?php echo wp_kses_post( $btn_txt ); ?></a>
    </div>
</div>