<?php
extract(shortcode_atts(array(
    'title' => 'BUILD MUSCLE',
    'description' => 'Sed posuere arcu quis nisl accumsan, quis feugiat tortor porttitor. Class aptent taciti sociosqu ad litora torquent per conubia nostra, per inceptos himenaeos',
    'icon_type' => 'icon',
    'icon_list' => 'fontawesome',
    'icon_fontawesome' => '',
    'icon_flaticon' => '',
    'el_class' => '',
), $atts));


$icon_name = "icon_" . $icon_list;
$icon_class = isset(${$icon_name}) ? ${$icon_name} : ''; ?>


<div class="service-box2">
    <?php if($icon_class):?>
        <div class="s-icon-box">
            <i class="<?php echo esc_attr($icon_class); ?>"></i>
        </div>
    <?php endif;?> 
    <div class="s-content">
        <?php if(!empty($title)) : ?>
            <h5><?php echo wp_kses_post( $title ); ?></h5>
        <?php endif;?>  
        <?php if(!empty($description)) : ?>
            <p><?php echo wp_kses_post( $description ); ?></p>
        <?php endif;?>   
    </div>
</div>