<?php
extract(shortcode_atts(array(
    'style' => 'style-1',
    'title' => 'CARDIO TRAINING',
    'description' => 'Lorem ipsum dolor sit amet ri cons tetuer adipiscing elit. Ut Aenean cod ligula eget dolor enan fg massa um sociis.',
    'btn_txt' => 'Read More',
    'btn_url' => '',
    'btn_color' => 'btn-dark',
    'el_class' => '',
), $atts));
?>


<?php if ( $style == 'style-1' or $style == 'style-3') : ?>
    <div class="feature-box <?php if ( $style == 'style-3' ) { ?>type2<?php } ?> <?php echo esc_attr($el_class.' '); ?>">
        <?php if(!empty($title)) : ?>
            <h5><?php echo wp_kses_post( $title ); ?></h5>
        <?php endif;?>   
        <?php if(!empty($description)) : ?>
            <p><?php echo wp_kses_post( $description ); ?></p>
        <?php endif;?>    
    </div>
    
<?php elseif ( $style == 'style-2' ) : ?>
    <div class="<?php echo esc_attr($el_class.' '); ?>">
     

        <?php if(!empty($description)) : ?>
            <p><?php echo wp_kses_post( $description ); ?></p>
        <?php endif;?> 
        <?php if(!empty($btn_txt)) : ?>
            <a href="<?php echo  esc_url($btn_url); ?>" class="btn <?php echo esc_attr($btn_color); ?> mt-4"><?php echo wp_kses_post( $btn_txt ); ?></a> 
        <?php endif;?>     
    </div>
<?php elseif ( $style == 'style-4' ) : ?>
    <div class="abt-box mb-30 <?php echo esc_attr($el_class.' '); ?>">
        <div class="text-box">
            <?php if(!empty($title)) : ?>
                <h6><?php echo wp_kses_post( $title ); ?></h6>
            <?php endif;?>
            <?php if(!empty($description)) : ?>
                <p class="mb-sm-0"><?php echo wp_kses_post( $description ); ?></p>
            <?php endif;?>  
        </div>
        <?php if(!empty($btn_txt)) : ?>
            <div class="btn-box">
                <a href="<?php echo  esc_url($btn_url); ?>" class="btn <?php echo esc_attr($btn_color); ?> btn-sm"><?php echo wp_kses_post( $btn_txt ); ?></a>
            </div>
        <?php endif;?> 
    </div>
<?php endif ; ?>