<?php
extract(shortcode_atts(array(
    'title' => '',
    'description' => '',
    'image' => '',
    'el_class' => '',
), $atts));
$img_size = "full";
$image = wp_get_attachment_image_src($image, $img_size);
$image_url = $image[0];
?>

<div class="service-box <?php echo esc_attr($el_class.' '); ?>">
    <div class="class-img">
        <img src="<?php echo esc_url( $image_url ); ?>" alt="gym">
    </div>
    <div class="service-content">
        <?php if(!empty($title)) : ?>
            <h5>
                <?php echo wp_kses_post( $title ); ?>
            </h5>
        <?php endif;?>   
        <?php if(!empty($description)) : ?>
            <p class="mb-0"><?php echo wp_kses_post( $description ); ?></p>
        <?php endif;?> 
    </div>
</div>