<?php
extract(shortcode_atts(array(
    'style' => 'style1',
    'slider_item' => '',
    'heading3' => '',
    'heading4' => '',
    'image_bg1' => '',
    'btn_txt3' => '',
    'btn_url3' => '',
    'el_class' => '',

), $atts));
$slider_item = (array) vc_param_group_parse_atts($slider_item);
?>
<?php if ( $style === 'style1' ) { ?>

    
    <!-- START REVOLUTION SLIDER -->
    <div class="rev-slider-1 <?php echo esc_attr( $el_class ); ?>">
        <div class="rev_slider_wrapper fullwidthbanner-container" id="rev_slider_one_wrapper" data-source="gallery">
            <div class="rev_slider fullwidthabanner" id="rev_slider_one" data-version="5.4.1">

                <ul>
                    <?php
                    $i=1;
                    foreach ($slider_item as $key => $value) {
                    $heading = isset($value['heading']) ? $value['heading'] : '';
                    $heading_2 = isset($value['heading_2']) ? $value['heading_2'] : '';
                    $sub_heading = isset($value['sub_heading']) ? $value['sub_heading'] : '';
                    $btn_txt = isset($value['btn_txt']) ? $value['btn_txt'] : '';
                    $btn_url = isset($value['btn_url']) ? $value['btn_url'] : '';
                    $image = isset($value['image_bg']) ? $value['image_bg'] : '';
                    $img_size = "full";
                    $image_bg = wp_get_attachment_image_src($image, $img_size);
                    $image_bg_url = $image_bg[0];
                    ?>

                        <li data-description="Slide Description" data-easein="default" data-easeout="default" data-fsmasterspeed="1500" data-fsslotamount="7"
                            data-fstransition="fade" data-hideafterloop="0" data-hideslideonmobile="off" data-index="rs-1689<?php echo $i ;?>" data-masterspeed="default"
                            data-param1="" data-param10="" data-param2="" data-param3="" data-param4="" data-param5="" data-param6=""
                            data-param7="" data-param8="" data-param9="" data-rotate="0" data-saveperformance="off" data-slotamount="default"
                            data-thumb="<?php echo esc_url( $image_bg_url ); ?>" data-title="Slide Title" data-transition="parallaxvertical">
                            <img alt="omnis" class="rev-slidebg" data-bgfit="cover" data-bgparallax="10" data-bgposition="center center" data-bgrepeat="no-repeat"
                                data-no-retina="" src="<?php echo esc_url( $image_bg_url ); ?>">

                            <div class="tp-caption caption-1" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                                data-fontsize="['40','30','20','20']" data-paddingtop="[0,0,0,0]" data-responsive_offset="on" data-type="text"
                                data-height="none" data-width="['850','700','650','420']" data-whitespace="normal" data-hoffset="['45','75','75','45']"
                                data-voffset="['-55','-65','-75','-105']" data-x="['left','left','left','left']" data-y="['middle','middle','middle','middle']"
                                data-textalign="['top','top','top','top']" data-frames='[{"from":"y:[100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;","mask":"x:0px;y:0px;s:inherit;e:inherit;","speed":1500,"to":"o:1;","delay":1000,"ease":"Power3.easeInOut"},{"delay":"wait","speed":1000,"to":"auto:auto;","mask":"x:0;y:0;s:inherit;e:inherit;","ease":"Power3.easeInOut"}]'>
                                <?php echo $heading; ?>
                                <br>
                                <span><?php echo $heading_2; ?></span>
                            </div>

                            <div class="tp-caption" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" data-paddingright="[0,0,0,0]" data-paddingtop="[0,0,0,0]"
                                data-responsive_offset="on" data-type="text" data-height="none" data-width="['700','700','600','380']"
                                data-whitespace="normal" data-hoffset="['45','75','75','45']" data-voffset="['70','35','20','10']"
                                data-x="['left','left','left','left']" data-y="['middle','middle','middle','middle']" data-textalign="['top','top','top','top']"
                                data-frames='[{"from":"y:[100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;","mask":"x:0px;y:0px;s:inherit;e:inherit;","speed":1500,"to":"o:1;","delay":1000,"ease":"Power3.easeInOut"},{"delay":"wait","speed":1000,"to":"auto:auto;","mask":"x:0;y:0;s:inherit;e:inherit;","ease":"Power3.easeInOut"}]'>
                                <div class="text"><?php echo esc_html( $sub_heading ); ?></div>
                            </div>

                            <div class="tp-caption tp-resizeme" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                                data-paddingtop="[0,0,0,0]" data-responsive_offset="on" data-type="text" data-height="none" data-width="['550','550','550','420']"
                                data-whitespace="normal" data-hoffset="['45','75','75','45']" data-voffset="['160','130','130','115']"
                                data-x="['left','left','left','left']" data-y="['middle','middle','middle','middle']" data-textalign="['top','top','top','top']"
                                data-frames='[{"from":"y:[100%];z:0;rX:0deg;rY:0;rZ:0;sX:1;sY:1;skX:0;skY:0;","mask":"x:0px;y:0px;s:inherit;e:inherit;","speed":1500,"to":"o:1;","delay":1000,"ease":"Power3.easeInOut"},{"delay":"wait","speed":1000,"to":"auto:auto;","mask":"x:0;y:0;s:inherit;e:inherit;","ease":"Power3.easeInOut"}]'>
                                <div class="btns-box">
                                    <a href="<?php echo esc_html($btn_url); ?>" class="btn btn-one mr-4"><?php echo esc_html($btn_txt); ?></a>
                                </div>
                            </div>
                        </li>
                    <?php $i++;
                    } ?>
                </ul>
            </div>
        </div>
    </div>
    <!-- END REVOLUTION SLIDER -->

<?php } ?>
<?php if ( $style === 'style2' ) { ?>
    
    <!-- START REVOLUTION SLIDER -->
    <div class="rev-slider-2 <?php echo esc_attr( $el_class ); ?>">
        <div id="rev_slider_348_1_wrapper" class="rev_slider_wrapper fullscreen-container" data-alias="overexposure" data-source="gallery"
        style="background:transparent;padding:0px;">
            <!-- START REVOLUTION SLIDER 5.4.3.3 fullscreen mode -->
            <div id="rev_slider_348_1" class="rev_slider fullscreenbanner" style="display:none;" data-version="5.4.3.3">
                <ul>
                    <?php 
                    $i=1;
                    foreach ($slider_item as $key => $value) {
                    $heading = isset($value['heading']) ? $value['heading'] : '';
                    $sub_heading = isset($value['sub_heading']) ? $value['sub_heading'] : '';
                    $btn_txt = isset($value['btn_txt']) ? $value['btn_txt'] : '';
                    $btn_url = isset($value['btn_url']) ? $value['btn_url'] : '';
                    $image = isset($value['image_bg']) ? $value['image_bg'] : '';
                    $img_size = "full";
                    $image_bg = wp_get_attachment_image_src($image, $img_size);
                    $image_bg_url = $image_bg[0];
                    ?>
                        <!-- SLIDE  -->
                        <li data-index="rs-970" data-transition="brightnesscross" data-slotamount="default" data-hideafterloop="0" data-hideslideonmobile="off"
                            data-easein="default" data-easeout="default" data-masterspeed="default" data-thumb="<?php echo esc_url( $image_bg_url ); ?>"
                            data-rotate="0" data-saveperformance="off" data-title="Slide" data-param1="" data-param2="" data-param3="" data-param4=""
                            data-param5="" data-param6="" data-param7="" data-param8="" data-param9="" data-param10="" data-description="">
                            <!-- MAIN IMAGE -->
                            <img src="<?php echo esc_url( $image_bg_url ); ?>" alt="gym" data-lazyload="assets/img/home/slider2-3.jpg" data-bgposition="center center"
                              data-bgfit="cover" data-bgrepeat="no-repeat" data-bgparallax="6" class="rev-slidebg" data-no-retina>
                            <!-- LAYERS -->
                            <div id="rrzm_970" class="rev_row_zone rev_row_zone_middle" style="z-index: 11;">

                                <!-- LAYER NR. 23 -->
                                <div class="tp-caption   rs-parallaxlevel-4" id="slide-970-layer-7" data-x="['left','left','left','left']" data-hoffset="['100','100','100','100']"
                                    data-y="['middle','middle','middle','middle']" data-voffset="['0','0','0','0']" data-width="none" data-height="none"
                                    data-whitespace="nowrap" data-type="row" data-columnbreak="2" data-responsive_offset="on" data-responsive="off"
                                    data-frames='[{"delay":10,"speed":300,"frame":"0","from":"opacity:0;","to":"o:1;","ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"frame":"999","to":"opacity:0;","ease":"Power3.easeInOut"}]'
                                    data-margintop="[0,0,0,0]" data-marginright="[0,0,0,0]" data-marginbottom="[0,0,0,0]" data-marginleft="[0,0,0,0]"
                                    data-textAlign="['inherit','inherit','inherit','inherit']" data-paddingtop="[0,0,0,0]" data-paddingright="[50,50,30,30]"
                                    data-paddingbottom="[0,0,0,0]" data-paddingleft="[50,50,30,30]" style="z-index: 5; white-space: nowrap; font-size: 20px; line-height: 22px; font-weight: 400; color: #ffffff; letter-spacing: 0px;">
                                    <!-- LAYER NR. 24 -->
                                    <div class="tp-caption  " id="slide-970-layer-8" data-x="['left','left','left','left']" data-hoffset="['100','100','100','100']"
                                      data-y="['top','top','top','top']" data-voffset="['100','100','100','100']" data-width="none" data-height="none"
                                      data-whitespace="nowrap" data-type="column" data-responsive_offset="on" data-responsive="off" data-frames='[{"delay":"+0","speed":300,"frame":"0","from":"opacity:0;","to":"o:1;","ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"frame":"999","to":"opacity:0;","ease":"Power3.easeInOut"}]'
                                      data-columnwidth="50%" data-verticalalign="top" data-margintop="[0,0,0,0]" data-marginright="[0,0,0,0]" data-marginbottom="[0,0,0,0]"
                                      data-marginleft="[0,0,0,0]" data-textAlign="['inherit','inherit','inherit','inherit']" data-paddingtop="[0,0,0,0]"
                                      data-paddingright="[20,20,0,0]" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 6; width: 100%;">

                                        <!-- LAYER NR. 26 -->
                                        <div class="tp-caption   tp-resizeme" id="slide-970-layer-1" data-x="['left','left','left','left']" data-hoffset="['0','50','50','40']"
                                            data-y="['top','top','top','top']" data-voffset="['0','170','170','167']" data-fontsize="['50','40','30','25']"
                                            data-lineheight="['70','60','55','50']" data-letterspacing="['4','4','4','4']" data-width="['100%','100%','561','401']"
                                            data-height="none" data-whitespace="normal" data-type="text" data-responsive_offset="on" data-frames='[{"delay":"+290","split":"chars","splitdelay":0.05000000000000000277555756156289135105907917022705078125,"speed":2000,"split_direction":"forward","frame":"0","from":"opacity:0;","color":"#000000","to":"o:1;","ease":"Power4.easeInOut"},{"delay":"wait","speed":1000,"frame":"999","color":"transparent","to":"opacity:0;","ease":"Power3.easeInOut"}]'
                                            data-margintop="[0,0,0,0]" data-marginright="[0,0,0,0]" data-marginbottom="[30,31,26,26]" data-marginleft="[0,0,0,0]"
                                            data-textAlign="['inherit','inherit','inherit','inherit']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 8; min-width: 100%; max-width: 100%; white-space: normal; font-size: 60px; line-height: 90px; font-weight: 400; color: #ff5164; letter-spacing: 15px; display: block;;text-transform:uppercase;"><?php echo esc_html($heading); ?>
                                        </div>
                                        <!-- LAYER NR. 31 -->
                                        <div class="tp-caption  " id="slide-970-layer-12" data-x="['left','left','left','left']" data-hoffset="['100','100','100','100']"
                                            data-y="['top','top','top','top']" data-voffset="['100','100','100','100']" data-width="none" data-height="none"
                                            data-whitespace="nowrap" data-type="column" data-responsive_offset="on" data-responsive="off" data-frames='[{"delay":"+0","speed":300,"frame":"0","from":"opacity:0;","to":"o:1;","ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"frame":"999","to":"opacity:0;","ease":"Power3.easeInOut"}]'
                                            data-columnwidth="50%" data-verticalalign="top" data-margintop="[0,0,0,0]" data-marginright="[0,0,0,0]"
                                            data-marginbottom="[0,0,0,0]" data-marginleft="[0,0,0,0]" data-textAlign="['inherit','inherit','inherit','inherit']"
                                            data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]"
                                            style="z-index: 13; width: 100%;">
                                            <!-- LAYER NR. 33 -->
                                            <a class="tp-caption rev-btn btn btn-one tp-resizeme" href="<?php echo esc_html($btn_url); ?>" data-frames='[{"delay":"+1990","speed":2000,"frame":"0","from":"opacity:0;fbr:0%;","to":"o:1;fbr:100;","ease":"Power4.easeInOut"},{"delay":"wait","speed":2000,"frame":"999","to":"opacity:0;fbr:0%;","ease":"Power4.easeInOut"}]'>
                                            <?php echo esc_html($btn_txt); ?></a>
                                        </div>
                                    </div>

                                    <!-- LAYER NR. 28 -->
                                    <div class="tp-caption  " id="slide-970-layer-9" data-x="['left','left','left','left']" data-hoffset="['100','100','100','100']"
                                      data-y="['top','top','top','top']" data-voffset="['100','100','100','100']" data-width="none" data-height="none"
                                      data-whitespace="nowrap" data-type="column" data-responsive_offset="on" data-responsive="off" data-frames='[{"delay":"+0","speed":300,"frame":"0","from":"opacity:0;","to":"o:1;","ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"frame":"999","to":"opacity:0;","ease":"Power3.easeInOut"}]'
                                      data-columnwidth="50%" data-verticalalign="top" data-margintop="[0,0,0,0]" data-marginright="[0,0,0,0]" data-marginbottom="[0,0,0,0]"
                                      data-marginleft="[0,0,0,0]" data-textAlign="['inherit','inherit','inherit','inherit']" data-paddingtop="[0,0,0,0]"
                                      data-paddingright="[0,0,0,0]" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 10; width: 100%;">
                                    </div>
                                </div>

                                <!-- LAYER NR. 29 -->
                                <div class="tp-caption   rs-parallaxlevel-5" id="slide-970-layer-10" data-x="['left','left','left','left']" data-hoffset="['100','100','100','100']"
                                    data-y="['middle','middle','middle','middle']" data-voffset="['0','0','0','0']" data-width="none" data-height="none"
                                    data-whitespace="nowrap" data-type="row" data-columnbreak="2" data-responsive_offset="on" data-responsive="off"
                                    data-frames='[{"delay":10,"speed":300,"frame":"0","from":"opacity:0;","to":"o:1;","ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"frame":"999","to":"opacity:0;","ease":"Power3.easeInOut"}]'
                                    data-margintop="[0,0,0,0]" data-marginright="[0,0,0,0]" data-marginbottom="[0,0,0,0]" data-marginleft="[0,0,0,0]"
                                    data-textAlign="['inherit','inherit','inherit','inherit']" data-paddingtop="[0,0,0,0]" data-paddingright="[50,50,30,30]"
                                    data-paddingbottom="[0,0,0,0]" data-paddingleft="[50,50,30,30]" style="z-index: 11; white-space: nowrap; font-size: 20px; line-height: 22px; font-weight: 400; color: #ffffff; letter-spacing: 0px;">
                                    <!-- LAYER NR. 30 -->
                                    <div class="tp-caption  " id="slide-970-layer-11" data-x="['left','left','left','left']" data-hoffset="['100','100','100','100']"
                                      data-y="['top','top','top','top']" data-voffset="['100','100','100','100']" data-width="none" data-height="none"
                                      data-whitespace="nowrap" data-type="column" data-responsive_offset="on" data-responsive="off" data-frames='[{"delay":"+0","speed":300,"frame":"0","from":"opacity:0;","to":"o:1;","ease":"Power3.easeInOut"},{"delay":"wait","speed":300,"frame":"999","to":"opacity:0;","ease":"Power3.easeInOut"}]'
                                      data-columnwidth="50%" data-verticalalign="top" data-margintop="[0,0,0,0]" data-marginright="[0,0,0,0]" data-marginbottom="[0,0,0,0]"
                                      data-marginleft="[0,0,0,0]" data-textAlign="['inherit','inherit','inherit','inherit']" data-paddingtop="[0,0,0,0]"
                                      data-paddingright="[0,0,0,0]" data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 12; width: 100%;">
                                    </div>

                                </div>
                            </div>
                        </li>
                    <?php } ?>
                </ul>
            <div class="tp-bannertimer tp-bottom" style="height: 10px; background: #ff5164;"></div>
        </div>
    </div>
</div>
<!-- END REVOLUTION SLIDER -->

<?php } ?>
<?php if ( $style === 'style3' ) { ?>
        <!-- START REVOLUTION SLIDER -->
    <div class="rev-slider-3 <?php echo esc_attr( $el_class ); ?>">
        <div id="rev_slider_484_1_wrapper" class="rev_slider_wrapper fullscreen-container" data-alias="focus-parallax" data-source="gallery"
            style="background-color:transparent;padding:0px;">
            <div id="rev_slider_484_1" class="rev_slider fullscreenbanner" style="display:none;" data-version="5.4.1">
                <ul>
                    <?php $image_ids = explode(',', $image_bg1);
                        ?>
                    
                    <!-- SLIDE  -->
                    <li data-index="rs-1678" data-transition="fade" data-slotamount="default" data-hideafterloop="0" data-hideslideonmobile="off"
                        data-easein="default" data-easeout="default" data-masterspeed="300" data-rotate="0" data-saveperformance="off"
                        data-title="Focus" data-param1="" data-param2="" data-param3="" data-param4="" data-param5="" data-param6=""
                        data-param7="" data-param8="" data-param9="" data-param10="" data-description="">
                        <!-- MAIN IMAGE -->
                        <img src="<?php echo ASSETS ; ?>/img/dummy.png" data-bgcolor="#efefef" alt="doctor" data-lazyload="<?php echo ASSETS ; ?>/img/transparent.png"
                            data-bgposition="center center" data-bgfit="cover" data-bgrepeat="no-repeat" data-bgparallax="off"
                            class="rev-slidebg" data-no-retina>
                        <!-- LAYERS -->
                        
                        <?php if( isset( $image_ids[0]) ) : ?>
                        <!-- LAYER NR. 1 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-2" id="slide-1678-layer-7" data-x="['left','left','left','left']" data-hoffset="['943','808','680','591']"
                            data-y="['top','top','top','top']" data-voffset="['600','620','668','395']" data-width="none" data-height="none"
                            data-whitespace="nowrap" data-type="image" data-responsive_offset="on" data-frames='[{"from":"x:-200px;rZ:-45deg;opacity:0;","speed":2000,"to":"o:1;","delay":950,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 5;border-width:0px;">
                            <div class="rs-looped rs-wave" data-speed="6" data-angle="0" data-radius="2px" data-origin="50% 50%">
                                <img src="<?php echo isset( $image_ids[0] ) ? wp_get_attachment_image_src( $image_ids[0], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[0] ) ? wp_get_attachment_image_src( $image_ids[0], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        </div>
                        <?php endif ; ?>
                        <?php if( isset( $image_ids[1]) ) : ?>
                        <!-- LAYER NR. 2 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-2" id="slide-1678-layer-9" data-x="['left','left','left','left']" data-hoffset="['100','-26','-26','-56']"
                            data-y="['top','top','top','top']" data-voffset="['600','589','689','638']" data-width="none" data-height="none"
                            data-whitespace="nowrap" data-type="image" data-responsive_offset="on" data-frames='[{"from":"x:200px;rZ:45deg;opacity:0;","speed":2000,"to":"o:1;","delay":800,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 6;border-width:0px;">
                            <div class="rs-looped rs-wave" data-speed="7" data-angle="0" data-radius="3px" data-origin="50% 50%">
                                <img src="<?php echo isset( $image_ids[1] ) ? wp_get_attachment_image_src( $image_ids[1], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[1] ) ? wp_get_attachment_image_src( $image_ids[1], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        </div>
                        <?php endif ; ?>
                        
                        <!-- LAYER NR. 3 -->
                        <div class="tp-caption tp-shape tp-shapewrapper  tp-resizeme rs-parallaxlevel-1" id="slide-1678-layer-3" data-x="['center','center','center','center']"
                            data-hoffset="['0','0','0','0']" data-y="['middle','middle','middle','middle']" data-voffset="['20','20','20','20']"
                            data-width="['480','480','400','250']" data-height="['560','460','460','400']" data-whitespace="nowrap"
                            data-type="shape" data-responsive_offset="on" data-frames='[{"from":"x:0;y:0;z:0;rX:0;rY:0;rZ:0;sX:0.8;sY:0.8;skX:0;skY:0;opacity:0;","speed":1000,"to":"o:1;","delay":500,"ease":"Back.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 7;background-color:rgba(0, 0, 0, 0);border-color:rgba(255, 255, 255,1);border-style:solid;border-width:30px;filter:blur(5px);-webkit-filter:blur(5px);-moz-filter:blur(5px);-o-filter:blur(5px);-ms-filter:blur(5px);">
                        </div>
                        
                        <?php if( isset( $image_ids[2]) ) : ?>
                        <!-- LAYER NR. 4 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-3" id="slide-1678-layer-1" data-x="['center','center','center','center']"
                            data-hoffset="['0','0','0','0']" data-y="['bottom','bottom','bottom','bottom']" data-voffset="['-50','-100','-80','-40']"
                            data-width="none" data-height="none" data-whitespace="nowrap" data-type="image" data-responsive_offset="on"
                            data-frames='[{"from":"y:50px;opacity:0;","speed":800,"to":"o:1;","delay":650,"ease":"Back.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 8;border-width:0px;">
                            <img src="<?php echo isset( $image_ids[2] ) ? wp_get_attachment_image_src( $image_ids[2], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[2] ) ? wp_get_attachment_image_src( $image_ids[2], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        <?php endif ; ?>
                        
                        <!-- LAYER NR. 5 -->
                        <div class="tp-caption tp-shape tp-shapewrapper  tp-resizeme rs-parallaxlevel-4" id="slide-1678-layer-2" data-x="['center','center','center','center']"
                            data-hoffset="['0','0','0','0']" data-y="['middle','middle','middle','middle']" data-voffset="['20','25','25','25']"
                            data-width="['780','700','640','400']" data-height="['800','680','680','600']" data-whitespace="nowrap"
                            data-type="shape" data-responsive_offset="on" data-frames='[{"from":"x:0;y:0;z:0;rX:0;rY:0;rZ:0;sX:0.8;sY:0.8;skX:0;skY:0;opacity:0;","speed":1000,"to":"o:1;","delay":1100,"ease":"Back.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 9;background-color:rgba(0, 0, 0, 0);border-color:rgba(255, 255, 255, 0.5);border-style:solid;border-width:30px;">
                        </div>
                        
                        <?php if( isset( $image_ids[3]) ) : ?>
                        <!-- LAYER NR. 6 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-8" id="slide-1678-layer-4" data-x="['left','left','left','left']" data-hoffset="['716','432','302','182']"
                            data-y="['top','top','top','top']" data-voffset="['150','37','174','136']" data-width="none" data-height="none"
                            data-whitespace="nowrap" data-type="image" data-responsive_offset="on" data-frames='[{"from":"y:300px;rZ:45deg;opacity:0;","speed":2000,"to":"o:1;","delay":500,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 10;border-width:0px;">
                            <div class="rs-looped rs-wave" data-speed="5" data-angle="0" data-radius="6px" data-origin="50% 50%">
                                <img src="<?php echo isset( $image_ids[3] ) ? wp_get_attachment_image_src( $image_ids[3], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[3] ) ? wp_get_attachment_image_src( $image_ids[3], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        </div>
                        <?php endif ; ?>
                        <?php if( isset( $image_ids[4]) ) : ?>
                        <!-- LAYER NR. 7 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-7" id="slide-1678-layer-5" data-x="['left','left','left','left']" data-hoffset="['932','707','567','300']"
                            data-y="['top','top','top','top']" data-voffset="['52','33','107','5']" data-width="none" data-height="none"
                            data-whitespace="nowrap" data-type="image" data-responsive_offset="on" data-frames='[{"from":"y:300px;rZ:35deg;opacity:0;","speed":2000,"to":"o:1;","delay":1250,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 11;border-width:0px;">
                            <div class="rs-looped rs-wave" data-speed="5" data-angle="0" data-radius="4px" data-origin="50% 50%">
                                <img src="<?php echo isset( $image_ids[4] ) ? wp_get_attachment_image_src( $image_ids[4], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[4] ) ? wp_get_attachment_image_src( $image_ids[4], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        </div>
                        <?php endif ; ?>
                        <?php if( isset( $image_ids[5]) ) : ?>
                        <!-- LAYER NR. 8 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-3" id="slide-1678-layer-6" data-x="['left','left','left','left']" data-hoffset="['1101','831','658','379']"
                            data-y="['top','top','top','top']" data-voffset="['390','379','360','220']" data-width="none" data-height="none"
                            data-whitespace="nowrap" data-type="image" data-responsive_offset="on" data-frames='[{"from":"y:300px;rZ:90deg;opacity:0;","speed":2000,"to":"o:1;","delay":650,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 12;border-width:0px;">
                            <div class="rs-looped rs-wave" data-speed="3" data-angle="0" data-radius="3px" data-origin="50% 50%">
                                <img src="<?php echo isset( $image_ids[5] ) ? wp_get_attachment_image_src( $image_ids[5], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[5] ) ? wp_get_attachment_image_src( $image_ids[5], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        </div>
                        <?php endif ; ?>
                        <?php if( isset( $image_ids[6]) ) : ?>
                        <!-- LAYER NR. 9 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-3" id="slide-1678-layer-8" data-x="['left','left','left','left']" data-hoffset="['1','-6','-11','-1']"
                            data-y="['top','top','top','top']" data-voffset="['311','276','321','283']" data-width="none" data-height="none"
                            data-whitespace="nowrap" data-type="image" data-responsive_offset="on" data-frames='[{"from":"y:300px;rZ:-45deg;opacity:0;","speed":2000,"to":"o:1;","delay":650,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 13;border-width:0px;">
                            <img src="<?php echo isset( $image_ids[6] ) ? wp_get_attachment_image_src( $image_ids[6], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[6] ) ? wp_get_attachment_image_src( $image_ids[6], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        <?php endif ; ?>
                        <?php if( isset( $image_ids[7]) ) : ?>
                        <!-- LAYER NR. 10 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-8" id="slide-1678-layer-10" data-x="['left','left','left','left']"
                            data-hoffset="['100','-30','-33','-21']" data-y="['top','top','top','top']" data-voffset="['136','73','138','109']"
                            data-width="none" data-height="none" data-whitespace="nowrap" data-type="image" data-responsive_offset="on"
                            data-frames='[{"from":"y:300px;rZ:90deg;opacity:0;","speed":2000,"to":"o:1;","delay":1350,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 14;border-width:0px;">
                            <div class="rs-looped rs-wave" data-speed="4" data-angle="0" data-radius="5px" data-origin="50% 50%">
                                <img src="<?php echo isset( $image_ids[7] ) ? wp_get_attachment_image_src( $image_ids[7], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[7] ) ? wp_get_attachment_image_src( $image_ids[7], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        </div>
                        <?php endif ; ?>
                        <?php if( isset( $image_ids[8]) ) : ?>
                        <!-- LAYER NR. 11 -->
                        <div class="tp-caption   tp-resizeme rs-parallaxlevel-9" id="slide-1678-layer-11" data-x="['left','left','left','left']"
                            data-hoffset="['-150','-150','-99','-86']" data-y="['top','top','top','top']" data-voffset="['650','650','630','501']"
                            data-width="none" data-height="none" data-whitespace="nowrap" data-type="image" data-responsive_offset="on"
                            data-frames='[{"from":"y:300px;rZ:-45deg;opacity:0;","speed":2000,"to":"o:1;","delay":1450,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 15;border-width:0px;">
                            <div class="rs-looped rs-wave" data-speed="6" data-angle="0" data-radius="7px" data-origin="50% 50%">
                                <img src="<?php echo isset( $image_ids[8] ) ? wp_get_attachment_image_src( $image_ids[8], 'doctor' )[0] :''; ?>" alt="doctor" data-lazyload="<?php echo isset( $image_ids[8] ) ? wp_get_attachment_image_src( $image_ids[8], 'doctor' )[0] :''; ?>" data-no-retina> </div>
                        </div>
                        <?php endif ; ?>

                        <!-- LAYER NR. 12 -->
                        <div class="tp-caption tp-shape tp-shapewrapper  tp-gradientbg" id="slide-1678-layer-15" data-x="['center','center','center','center']"
                            data-hoffset="['0','0','0','0']" data-y="['middle','middle','middle','middle']" data-voffset="['0','0','0','0']"
                            data-width="full" data-height="full" data-whitespace="nowrap" data-type="shape" data-basealign="slide"
                            data-responsive_offset="off" data-responsive="off" data-frames='[{"from":"opacity:0;","speed":300,"to":"o:0.75;","delay":0,"ease":"Power2.easeInOut"},{"delay":"wait","speed":300,"to":"opacity:0;","ease":"nothing"}]'
                            data-textAlign="['left','left','left','left']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 16;background-color:rgba(0, 0, 0, 0);border-color:rgba(0, 0, 0, 0);border-width:0px;">
                        </div>

                        <!-- LAYER NR. 13 -->
                        <div class="tp-caption parallax-caption tp-resizeme rs-parallaxlevel-7" id="slide-1678-layer-12" data-x="['center','center','center','center']"
                            data-hoffset="['0','0','0','0']" data-y="['middle','middle','middle','middle']" data-voffset="['160','90','90','90']"
                            data-fontsize="['40','30','30','30']" data-lineheight="['100','80','80','50']" data-width="none"
                            data-height="none" data-whitespace="nowrap" data-type="text" data-responsive_offset="on" data-frames='[{"from":"y:50px;opacity:0;","speed":1000,"to":"o:1;","delay":1550,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['center','center','center','center']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 17; white-space: nowrap;"><?php echo esc_html($heading3); ?>
                            <span data-fontsize="['120','100','80','60']"><?php echo esc_html($heading4); ?></span>
                        </div>

                        <!-- LAYER NR. 14 -->
                        <div class="tp-caption caption-join  tp-resizeme rs-parallaxlevel-6" id="slide-1678-layer-13" data-x="['center','center','center','center']"
                            data-hoffset="['0','0','0','0']" data-y="['middle','middle','middle','middle']" data-voffset="['330','330','330','330']"
                            data-fontsize="['40','30','30','20']" data-lineheight="['35','25','25','25']" data-width="none" data-height="none"
                            data-whitespace="nowrap" data-type="text" data-responsive_offset="on" data-frames='[{"from":"y:50px;opacity:0;","speed":1000,"to":"o:1;","delay":1650,"ease":"Power4.easeOut"},{"delay":"wait","speed":700,"to":"auto:auto;","ease":"Power2.easeInOut"}]'
                            data-textAlign="['center','center','center','center']" data-paddingtop="[0,0,0,0]" data-paddingright="[0,0,0,0]"
                            data-paddingbottom="[0,0,0,0]" data-paddingleft="[0,0,0,0]" style="z-index: 18; white-space: nowrap;">
                            <a href="<?php echo esc_html($btn_url3); ?>"> <?php echo esc_html($btn_txt3); ?></a>
                        </div>
                    </li>
                </ul>
                <div class="tp-bannertimer tp-bottom" style="visibility: hidden !important;"></div>
            </div>
        </div>
    </div>
    <!-- END REVOLUTION SLIDER -->
<?php } ?>