<?php
extract(shortcode_atts(array(
    'testimonial_item' => '',
    'el_class' => '',

), $atts));

$testimonials = (array) vc_param_group_parse_atts($testimonial_item);


if(!empty($testimonials)) : ?>
    <div id='testi-custom-thumb' class="clearfix row <?php echo esc_attr( $el_class ); ?>">
        <?php foreach ($testimonials as $key => $value) {
            $title = isset($value['title']) ? $value['title'] : '';
            $position = isset($value['position']) ? $value['position'] : '';
            $image = isset($value['image']) ? $value['image'] : '';
            $img_size = isset($value['img_size']) ? $value['img_size'] : '200x200';
            $img = wpb_getImageBySize( array(
                'attach_id'  => $image,
                'thumb_size' => $img_size,
                'class'      => '',
            ));
            $thumbnail = $img['thumbnail'];
            ?>
            <div class="col-lg-3 col-md-6 col-sm-6 col-12 testi-dot">
                <div class="testi-inner">
                    <?php if(!empty($image)) : 
                        echo wp_kses_post($thumbnail); 
                    endif; ?>
                    <div class="testi-overlay">
                        <div class="overlay-in">
                            <h5 class="c-white mb-2">
                            <?php echo esc_html($title); ?>
                            </h5>
                            <h6 class="c-theme text-capitalize"><?php echo esc_attr($position); ?></h6>
                        </div>
                    </div>
                </div>
            </div>
        <?php } ?>
    </div>

    <div class="row">
         <div class="col-lg-10 offset-lg-1 col-12">
            <div class="testi-one-slider owl-carousel owl-theme">
                <?php foreach ($testimonials as $key => $value) {
                    $content = isset($value['content']) ? $value['content'] : ''; ?>
                    <div class="testi-item">
                        <p><?php echo esc_html($content); ?></p>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
<?php endif; ?>