<?php
extract(shortcode_atts(array(
    'video_bg_image' => '',
    'video_link' => '',
    'el_class' => '',
), $atts));
$image_url = '';
if (!empty($atts['video_bg_image'])) {
    $attachment_image = wp_get_attachment_image_src($atts['video_bg_image'], 'full');
    $image_url = $attachment_image[0];
}
$link = vc_build_link($video_link);
$a_href = '';
if ( strlen( $link['url'] ) > 0 ) {
    $a_href = $link['url'];
}
if(!empty($video_link)) : ?>
    <div class="video-2 <?php echo esc_attr( $el_class); ?>">
        <div class="vid-box2">
            <img src="<?php echo esc_url($image_url); ?>" alt="<?php echo esc_html__('Video', 'gymnaz-pro') ?>">
            <a class="vid-btn dark" href="<?php echo esc_url($a_href);?>" data-lity="">
                <i class="fa fa-caret-right"></i>
            </a>
        </div>
    </div>
<?php endif; ?>